Bug 1569004 - ValueError: plural forms expression could be dangerous
Summary: ValueError: plural forms expression could be dangerous
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-meh
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 13:41 UTC by Nerijus Baliūnas
Modified: 2020-05-05 07:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
patch (596 bytes, patch)
2019-05-02 20:06 UTC, Nerijus Baliūnas
no flags Details | Diff

Description Nerijus Baliūnas 2018-04-18 13:41:07 UTC
Please see bug 1334960 and bug 1364114.

There is a typo in python-meh/po/lt.po (Lithuanian translation):

"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n%100<10 or n%100>=20) 

should be ("or" is considered to be an identifier by gettext):

"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n%100<10 || n%100>=20)

Please fix Plural-Forms headers (s/or/||/).

Comment 1 Martin Kolman 2018-04-19 13:31:43 UTC
This looks like the translation data itself[0] is wrong on Zanata. Not sure who should/can fix it though - adding Make Fabian from the l18n team to CC.



[0] https://fedora.zanata.org/project/view/python-meh

Comment 2 Mike FABIAN 2018-04-23 12:31:54 UTC
I downloaded 

https://fedora.zanata.org/rest/file/translation/python-meh/master/lt/po?docId=python-meh

and it contained:

"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && "
"(n%100<10 || n%100>=20) ? 1 : 2)\n"

So maybe this is fixed already?

Comment 3 Nerijus Baliūnas 2019-05-02 20:05:40 UTC
Not fixed yet.

Comment 4 Nerijus Baliūnas 2019-05-02 20:06:58 UTC
Created attachment 1561970 [details]
patch

Patch attached.

Comment 5 Ben Cotton 2019-05-02 20:19:35 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-04-30 22:09:16 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Nerijus Baliūnas 2020-05-05 07:58:29 UTC
Still not fixed in python3-meh-0.48-2.fc32.noarch.rpm.


Note You need to log in before you can comment on or make changes to this bug.